#
# spec file for package python-gear
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-gear
Version:        0.11.1
Release:        lp150.1.1
Summary:        Pure Python Async Gear Protocol Library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/gear
Source:         https://files.pythonhosted.org/packages/source/g/gear/gear-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  python-rpm-macros
Requires:       python-extras
Requires:       python-python-daemon >= 2.0.4
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch

%python_subpackages

%description
A pure-Python asynchronous library to interface with Gearman.

%prep
%setup -q -n gear-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/geard

%post
%python_install_alternative geard

%postun
%python_uninstall_alternative geard

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst ChangeLog LICENSE AUTHORS
%{python_sitelib}/*
%python_alternative %{_bindir}/geard

%changelog
* Mon Mar 26 2018 tbechtold@suse.com
- Fix Source
* Fri Mar 23 2018 tbechtold@suse.com
- update to 0.11.1:
  * Make workers admin command py3 safe
  * server: make stats more efficient
  * Add a send lock to the base Connection class
  * Server: support background jobs
  * Fix exception setter
  * Provide TextJob and TextWorker for convenience
  * Uncap pbr dependency
  * Update hacking dependency
  * Replace assertEquals with assertEqual
  * Make Job.name assume utf-8
  * Ignore E129
  * Move py27 after py34 and py35
  * Re-enable flake8
  * Add py35 to tox.ini default envs
  * Move other-requirements.txt to bindep.txt
  * Remove discover from test-requirements
  * Add test for AdminRequest.isComplete
  * Parse admin requests 2880 times faster
  * Geard: Handle connections closed while sending
  * Support TCP keepalives in geard
  * List system dependencies for running common tests
  * Do not encode the type (b) in the job name
  * Bump version requirement for pbr
  * Remove vestigal hook entry from setup.cfg
  * Remove py26 from tox.ini
  * Switch to six for configparser
  * Do not change object size when iterating
  * Allow setting a timeout for Client.waitForServer()
  * Remove shebang as the script is managed by an entry\_point
  * Guard against double shutdown in client
  * Remove argparse from requirements
  * Deprecated tox -downloadcache option removed
  * Add a test for worker termination
- Switch to singlespec
* Mon Dec  7 2015 tbechtold@suse.com
- Initial packaging (version 0.5.8)
